Bug 1570389 - QtWebEngine apps look for /usr/bin/libEGL.so and /usr/bin/libGLES.so
Summary: QtWebEngine apps look for /usr/bin/libEGL.so and /usr/bin/libGLES.so
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtwebengine
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1577284 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-22 14:27 UTC by northivanastan
Modified: 2018-10-19 18:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-19 18:58:17 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-65682 0 None None None 2018-04-22 14:27:46 UTC

Description northivanastan 2018-04-22 14:27:46 UTC
When loading any app that uses Qtwebengine on Wayland, the application crashes. Possible causes found in the logs are:
-it seems to search for libegl and libgles objects in whatever folder the executable is in (in this case /usr/bin)
-"Requested OpenGL implementation is not supported: 0"
-"qt_qpa_backend is not xcb"
-"stack smashing detected"

It may be possible to work around this by adding symbolic links to /usr/bin, though that might cause other issues.
This bug has been filed against Qt (https://bugreports.qt.io/browse/QTBUG-65682) and Archlinux (https://bugs.archlinux.org/task/57018) previously, and fixed. However, Fedora is using an older version of Qt that still has this issue.

Comment 1 Kevin Kofler 2018-04-22 17:43:51 UTC
We are using the latest release of QtWebEngine. Upstream fixed this only in the unreleased development branch (and does not plan any more releases from the 5.10 release branch, so they do not fix anything in it).

Comment 2 northivanastan 2018-04-22 17:46:24 UTC
(In reply to Kevin Kofler from comment #1)
> We are using the latest release of QtWebEngine. Upstream fixed this only in
> the unreleased development branch (and does not plan any more releases from
> the 5.10 release branch, so they do not fix anything in it).

Thanks for clarifying that.  Would it still be possible to implement a fix or workaround in Fedora, or must we wait for the release of Qt 5.11?

Comment 3 Kevin Kofler 2018-04-22 17:59:07 UTC
If I find the commit that fixes it in 5.11, I can try to backport it. But building qt5-qtwebengine and qt5-qtwebengine-freeworld always takes days.

Comment 4 Kevin Kofler 2018-05-11 17:21:17 UTC
*** Bug 1577284 has been marked as a duplicate of this bug. ***

Comment 5 northivanastan 2018-05-25 13:02:44 UTC
It seems that Qt 5.11 has been released, with the fix, so Qt components should be updated, including WebEngine, hopefully by the release of Fedora 29

Comment 6 Kevin Kofler 2018-05-25 16:39:46 UTC
I will push QtWebEngine 5.11 ASAP. (There are also security fixes.) But there is a lot of work to do with every new QtWebEngine release branch.

Comment 7 northivanastan 2018-06-08 12:28:36 UTC
It seems like Qtwebengine 5.11 is becoming available on rawhide:
https://src.fedoraproject.org/rpms/qt5-qtwebengine/c/aee3cb4c6f5c776e7a232bce209e7a93d6c7cb85

I might test if this bug is fixed there.

Comment 8 Kevin Kofler 2018-06-08 12:40:30 UTC
That's just a rebuild of QtWebEngine 5.10.1 for QtBase 5.11.0. Work on QtWebEngine 5.11 is not started yet (due to lack of time).

Comment 9 Jan Kurik 2018-08-14 10:30:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 10 Pier Luigi Fiorini 2018-09-03 04:02:01 UTC
BTW this happens in Fedora 28 as well, this is the output when launching Falkon.
Same problem with other QtWebEngine browsers such as Liri Browser from sources:

Falkon: Creating new profile directory
Error creating database schema "No query Unable to fetch row"
[0903/055551.997378:WARNING:stack_trace_posix.cc(648)] Failed to open file: /home/plfiorini/#20054160 (deleted)
  Error: No such file or directory
[32702:32732:0903/055552.100754:ERROR:gl_implementation.cc(246)] Failed to load /usr/bin/libGLESv2.so: /usr/bin/libGLESv2.so: cannot open shared object file: No such file or directory
Falkon: 1 extensions loaded
[32702:32732:0903/055553.088357:ERROR:gl_surface_qt.cpp(701)] Requested OpenGL implementation is not supported. Implementation: 0
*** stack smashing detected ***: <unknown> terminated
Received signal 6
#0 0x7fdeee466e76 <unknown>
#1 0x7fdeee4667e9 <unknown>
#2 0x7fdeee466dfc <unknown>
#3 0x7fdee99e8070 <unknown>
#4 0x7fdee99e7feb __GI_raise
#5 0x7fdee99d25c1 __GI_abort
#6 0x7fdee9a2a9d7 __libc_message
#7 0x7fdee9abc5ad __GI___fortify_fail_abort
#8 0x7fdee9abc564 __stack_chk_fail_local
#9 0x7fdeed1dd123 <unknown>
#10 0x7fdeeed8ed47 <unknown>
#11 0x7fdeeed9ba8e <unknown>
#12 0x7fdeeed9e344 <unknown>
#13 0x7fdeeed9f55f <unknown>
#14 0x7fdeeed990f0 <unknown>
#15 0x7fdeeed997f8 <unknown>
#16 0x7fdeeed9899f <unknown>
#17 0x7fdeeed9ad25 <unknown>
#18 0x7fdeee4e803b <unknown>
#19 0x7fdeee482bf0 <unknown>
#20 0x7fdeee482e6d <unknown>
#21 0x7fdeee48411e <unknown>
#22 0x7fdeee4853d1 <unknown>
#23 0x7fdeee4a295d <unknown>
#24 0x7fdeee4bd0ef <unknown>
#25 0x7fdeee4b87cb <unknown>
#26 0x7fdee9799594 start_thread
#27 0x7fdee9aab0df __GI___clone
  r8: 0000000000000000  r9: 00007fde79ff96a0 r10: 0000000000000008 r11: 0000000000000246
 r12: 0000000000001000 r13: 00007fde79ff9940 r14: 0000000000000040 r15: 00007fdeb0065000
  di: 0000000000000002  si: 00007fde79ff96a0  bp: 00007fde79ff9a80  bx: 0000000000000006
  dx: 0000000000000000  ax: 0000000000000000  cx: 00007fdee99e7feb  sp: 00007fde79ff96a0
  ip: 00007fdee99e7feb efl: 0000000000000246 cgf: 002b000000000033 erf: 0000000000000000
 trp: 0000000000000000 msk: 0000000000000000 cr2: 0000000000000000
[end of stack trace]
Calling _exit(1). Core file will not be generated.

Comment 11 Rex Dieter 2018-10-19 18:58:17 UTC
upstream bug claims this is fixed in 5.11, which was released as an update,
https://bodhi.fedoraproject.org/updates/FEDORA-2018-bea1e0b465


Note You need to log in before you can comment on or make changes to this bug.